<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="net.lab1024.sa.admin.module.business.inventory.dao.InventoryDao">

    <!-- 查询结果列 -->
    <sql id="base_columns">
        t_inventory.inventory_id,
        t_inventory.item_key_id,
        t_inventory.location_id,
        t_inventory.stock_id,
        t_inventory.quantity,
        t_inventory.queued_quantity,
        t_inventory.create_time,
        t_inventory.create_user_id,
        t_inventory.create_user_name,
        t_inventory.update_time
    </sql>

    <!-- 分页查询 -->
    <select id="queryPage" resultType="net.lab1024.sa.admin.module.business.inventory.domain.vo.InventoryVO">
        SELECT
        <include refid="base_columns"/>
        FROM t_inventory
    </select>


</mapper>
